CVE-2010-5111

NameCVE-2010-5111
DescriptionMultiple buffer overflows in readline.c in Echoping 6.0.2 allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted reply in the (1) TLS_readline or (2) SSL_readline function, related to the EchoPingHttps Smokeping probe.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs606808

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
echoping (PTS)buster, stretch, sid6.0.2-10fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
echopingsource(unstable)6.0.2-4low606808

Notes

[squeeze] - echoping <no-dsa> (Minor issue)
Upstream fix http://sourceforge.net/p/echoping/bugs/55/
https://bugs.gentoo.org/show_bug.cgi?id=349569
http://xforce.iss.net/xforce/xfdb/64141
http://secunia.com/advisories/42619/

Search for package or bug name: Reporting problems